PredictionIO Ruby SDK 0.7.0
Merge branch 'develop'
tree: 5a85c583efb0e052debc6fd2edef44b98ff3a34c
  1. .gitignore
  2. .travis.yml
  3. CONTRIBUTING.md
  4. Gemfile
  5. LICENSE
  6. README.md
  7. Rakefile
  8. lib/
  9. predictionio.gemspec
  10. spec/
README.md

PredictionIO Ruby SDK

Build Status Code Climate Dependency Status

The Ruby SDK provides a convenient API to quickly record your users' behavior and retrieve personalized predictions for them.

The SDK requires Ruby 1.9.3+ to function properly.

Support

Forum

https://groups.google.com/group/predictionio-user

Issue Tracker

https://predictionio.atlassian.net

If you are unsure whether a behavior is an issue, bringing it up in the forum is highly encouraged.

Installation

The module is published to RubyGems and can be installed directly by

gem install predictionio

If you prefer to build and install from source

gem build predictionio.gemspec
gem install predictionio-<version>.gem

Documentation and Usage

The latest documentation is generously hosted by RubyDoc.info.

A local copy of the documentation will also be installed by the gem.